summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2016-01-28 16:16:46 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2016-01-28 16:16:46 +0300
commite7cd88f748b14925d41af7d5b582d1c16ec2a623 (patch)
treefa26d8db0709dabea837635c6104af765cd6b30e
parent516bdaad09a611586eaa7dc0f67c49c7024aae37 (diff)
added springlobby
-rwxr-xr-xgames-util/springlobby/springlobby-0.226.ebuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/games-util/springlobby/springlobby-0.226.ebuild b/games-util/springlobby/springlobby-0.226.ebuild
new file mode 100755
index 0000000..c4b8f77
--- /dev/null
+++ b/games-util/springlobby/springlobby-0.226.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit cmake-utils eutils flag-o-matic games
+
+DESCRIPTION="lobby client for spring rts engine"
+HOMEPAGE="http://springlobby.info"
+SRC_URI="http://www.springlobby.info/tarballs/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="nomirror"
+IUSE="+sound debug libnotify gstreamer"
+
+
+RDEPEND="
+ >=dev-libs/boost-1.35
+ =x11-libs/wxGTK-2.9*
+ net-misc/curl
+ libnotify? ( x11-libs/libnotify )
+ sound? (
+ media-libs/openal
+ media-libs/libvorbis
+ media-libs/flac
+ media-sound/mpg123
+ media-libs/alure
+ )
+ gstreamer? ( media-libs/gstreamer )
+"
+
+DEPEND="${RDEPEND}
+ >=dev-util/cmake-2.6.0
+"
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+# epatch "${FILESDIR}/${P}-wx-config.patch"
+}
+
+src_configure() {
+ local mycmakeargs=($mycmakeargs)
+ if ! use sound ; then
+ mycmakeargs+=(
+ -DOPTION_SOUND=OFF
+ )
+ fi
+ if use gstreamer ; then
+ mycmakeargs+=(
+ -DGSTREAMER=ON
+ )
+ fi
+
+ mycmakeargs+=(
+ -DAUX_VERSION="(Gentoo,$ARCH)"
+ -DCMAKE_INSTALL_PREFIX="/usr/games/"
+ )
+ cmake-utils_src_configure
+}
+
+src_compile () {
+ cmake-utils_src_compile
+}
+
+src_install() {
+ cmake-utils_src_install
+ prepgamesdirs
+ # bad
+ dodir /usr/share/games/icons/hicolor/scalable/apps/
+ mv ${D}/usr/games/share/icons/hicolor/scalable/apps/springlobby.svg ${D}/usr/share/games/icons/hicolor/scalable/apps/springlobby.svg
+ rm ${D}/usr/share/games/pixmaps/ -fr
+ dodir /usr/share/games/applications/
+ mv ${D}/usr/games/share/applications/springlobby.desktop ${D}/usr/share/games/applications/springlobby.desktop
+ rm ${D}/usr/games/share/applications/ -fr
+ dodir /etc/env.d/
+ echo 'XDG_DATA_DIRS="/usr/share/games"' >> ${D}/etc/env.d/99games
+}
+